# Interface JmolAnnotationParser

All Known Implementing Classes:
  `AnnotationParser, DSSR1`

public interface JmolAnnotationParser

## Method Summary

Modifier and Type
Method
Description
`String`
`calculateDSSRStructure(Viewer vwr, BS bsAtoms)`
`String`
`catalogStructureUnits(Viewer vwr, SV svMap, int[] modelAtomIndices, Map<String,int[]> resMap, Object object, Map<String,Integer> modelMap)`
`Lst<Object>`
`catalogValidations(Viewer vwr, SV validation, int[] modelAtomIndices, Map<String,int[]> valResMap, Map<String,Integer> map, Map<String,Integer> modelMap)`
`void`
`fixAtoms(int modelIndex, SV v, BS bsAddedMask, int type, int margin)`
`String`
`fixDSSRJSONMap(Map<String,Object> map)`
`String`
`getAnnotationInfo(Viewer vwr, SV a, String match, int type, int modelIndex)`
`BS`
`getAtomBits(Viewer vwr, String key, Object dssr, Map<String,Object> cache, int type, int modelIndex, BS bsModel)`
`void`
`getAtomicDSSRData(ModelSet ms, int modelIndex, float[] dssrData, String dataType)`
`Lst<Float>`
`getAtomValidation(Viewer vwr, String type, Atom atom)`
`void`
`getBasePairs(Viewer vwr, int modelIndex)`
`P3[]`
`getDSSRFrame(Map<String,Object> dssrNT)`
`String`
`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`
`Lst<SV>`
`initializeAnnotation(SV objAnn, int type, int modelIndex)`
`void`
`setGroup1(ModelSet ms, int modelIndex)`

## Method Details

### fixDSSRJSONMap

String fixDSSRJSONMap(Map<String,Object> map)

### getAtomBits

BS getAtomBits(Viewer vwr, String key, Object dssr, Map<String,Object> cache, int type, int modelIndex, BS bsModel)

### getBasePairs

void getBasePairs(Viewer vwr, int modelIndex)

### getHBonds

String getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)

### getAtomicDSSRData

void getAtomicDSSRData(ModelSet ms, int modelIndex, float[] dssrData, String dataType)

### calculateDSSRStructure

String calculateDSSRStructure(Viewer vwr, BS bsAtoms)

### getAnnotationInfo

String getAnnotationInfo(Viewer vwr, SV a, String match, int type, int modelIndex)

### catalogValidations

Lst<Object> catalogValidations(Viewer vwr, SV validation, int[] modelAtomIndices, Map<String,int[]> valResMap, Map<String,Integer> map, Map<String,Integer> modelMap)

### initializeAnnotation

Lst<SV> initializeAnnotation(SV objAnn, int type, int modelIndex)

### getAtomValidation

Lst<Float> getAtomValidation(Viewer vwr, String type, Atom atom)

### fixAtoms

void fixAtoms(int modelIndex, SV v, BS bsAddedMask, int type, int margin)

### catalogStructureUnits

String catalogStructureUnits(Viewer vwr, SV svMap, int[] modelAtomIndices, Map<String,int[]> resMap, Object object, Map<String,Integer> modelMap)

### setGroup1

void setGroup1(ModelSet ms, int modelIndex)

### getDSSRFrame

P3[] getDSSRFrame(Map<String,Object> dssrNT)